Subject: Re: bug#17484: 24.3.91; Emacs Pretest (emacs-24.3.91.tar.xz) freeze

From: Daimrod <[email-masked]>
Date: Tue, 13 May 2014 22:30:02 +0900

Stefan Monnier <[email-masked]> writes:

>> gdb) xbacktrace
>> "byte-code" (0xffff6530)
>> "byte-code" (0xffff66f0)
>> "org-element--cache-process-request" (0xffff6920)
>> "byte-code" (0xffff6a30)
>> "org-element--cache-sync" (0xffff6c70)
>> "org-element-at-point" (0xffff6d90)
>> "byte-code" (0xffff7060)
>> "org-adaptive-fill-function" (0xffff7290)
>> "fill-match-adaptive-prefix" (0xffff7410)
>> "fill-context-prefix" (0xffff75b0)
>> "adaptive-wrap-fill-context-prefix" (0xffff7760)
>> "adaptive-wrap-prefix-function" (0xffff79a8)
>
> Looks like an inf-loop in Org.  Carsten?
>
> Oh, and as for why it "froze" and you couldn't interrupt it with C-g,
> it's because it was run via jit-lock, which runs with inhibit-quit.

Oh I wasn't aware of `inhibit-quit'.

So, that's an org-mode bug, I'll try to see if I can reproduce it
(though I wonder why it uses `inhibit-quit' in the first place).

>         Stefan

-- 
Daimrod/Greg